Subject: Re: bug#59275: Unexpected return value of `string-collate-lessp' on Mac

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Nov 2022 16:58:20 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 23 Nov 2022 10:39:22 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> See the attached patch.
> >
> > Thanks, installed.
> 
> Should we update the manual as well?
> 4.5 Comparison of Characters and Strings section contains the old
> docstring verbatim.

I see in the manual text that is not a verbatim copy of the doc string, but
an expanded version of it with more detailed explanations.  Which is how it
should be: it is IMNSHO bad documentation-fu to have the manual just copycat
the doc strings.  (We sometimes do it for lack of time, but it is not a Good
Thing.)

The note about case-sensitivity of the fallback was missing from the manual,
so I added it.

> P.S. I am wondering if there is some automated way to deal with verbatim
> docstrings in the manuals. They are so easy to slip through when the
> Elisp docstrings get updated.

There should be no verbatim copies of doc strings in the manual.  So I'm not
interested in making that bad practice easier ;-)

Thanks.